## pd-iemguts 0.2

=== Makefile ===
#!/usr/bin/make -f
# Makefile for pure data externals in lib creb.
# Needs Makefile.pdlibbuilder to work (https://github.com/pure-data/pd-lib-builder)

lib.name = iemguts

# special file that does not provide a class
lib.setup.sources = 

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
class.sources = $(filter-out $(lib.setup.sources),$(wildcard src/*.c))

datafiles = \
$(wildcard help/*-help.pd) \
LICENSE.txt \
README.txt \
iemguts-meta.pd

datadirs =  examples

cflags = -DVERSION=$(lib.version)

################################################################################
### pdlibbuilder ###############################################################
################################################################################

# This Makefile is based on the Makefile from pd-lib-builder written by
# Katja Vetter. You can get it from:
# https://github.com/pure-data/pd-lib-builder
PDLIBBUILDER_DIR=pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))

=== debian/changelog ===
pd-iemguts (0.2-1) unstable; urgency=medium

  * Imported Upstream version 0.2

  * Set build-date (for reproducible builds)
  * Depend on 'puredata' rather than 'puredata-core'

  * Updated debian/copyright
  * Update Vcs-Browser stanza
  * Added debian/git-tuneclone.sh script (see README.source)
  * Point debian/watch to upstream's git-server
  * Regenerated debian/(control|copyright_hints)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 19 Jan 2016 20:48:48 +0100

pd-iemguts (0.1-1) unstable; urgency=low

  * Initial packaging release.  (Closes: #603182)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 13 Aug 2015 20:37:32 +0200

=== debian/control ===
Source: pd-iemguts
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: cdbs (>= 0.4.91~),
 debhelper,
 dh-buildinfo,
 devscripts,
 puredata-dev | puredata
Standards-Version: 3.9.6
Section: sound
Homepage: http://download.puredata.info/iemguts
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-iemguts.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-iemguts.git

Package: pd-iemguts
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd
Description: Pd-Objects for meta patching
 This library contains a collection of very low-level objects for Pd, that are
 usually used to build higher-level abstractions for dynamic patching and live
 coding by adding reflection capabilities to the patcher language.
 .
 This library is famous for allowing Pd-objects to move around in the patch.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2015 IOhannes m zmölnig <zmoelnig@iem.at>
# Description: Main Debian packaging script for pd-iemguts
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/pd.mk
include /usr/share/cdbs/1/rules/utils.mk

BUILD_DATE=$(shell date -u -d "$$(dpkg-parsechangelog -SDate)" +"for Debian on %Y/%m/%d at %H:%M:%S UTC")
CPPFLAGS+=-DBUILD_DATE='\"$(BUILD_DATE)\"'

=== debian/watch ===
# to be processed with uscan(1)
version=3
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S*)/iemguts-$1\.tar\.gz/g \
  https://git.iem.at/pd/iemguts/tags .*archive\.tar\.gz\?ref=v?(\d\S*)

## pd-iemguts 0.2.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
-# Makefile for pure data externals in lib creb.
-# Needs Makefile.pdlibbuilder to work (https://github.com/pure-data/pd-lib-builder)
+# Makefile to the 'iemguts' library for Pure Data.
+# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
+# settings and rules (https://github.com/pure-data/pd-lib-builder).
 
 lib.name = iemguts
 
@@ -12,7 +13,7 @@
 class.sources = $(filter-out $(lib.setup.sources),$(wildcard src/*.c))
 
 datafiles = \
-$(wildcard help/*-help.pd) \
+$(wildcard help/*.pd) \
 LICENSE.txt \
 README.txt \
 iemguts-meta.pd

=== src/Makefile ===
all:
	make -C ..

=== debian/changelog ===
pd-iemguts (0.2.1-3) unstable; urgency=medium

  * Patch to include required standard headers
  * Switched to system-provided Makefile.pdlibbuilder
  * Pass build-flags to all 'make' invocations

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Feb 2018 14:35:56 +0100

pd-iemguts (0.2.1-2) unstable; urgency=medium

  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
    * Enable hardening
    * Dropped unneeded B-Ds
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Dropped obsolete git-tuneclone.sh
  * Use https:// for URLs
  * Updated d/copyright_hints
  * Updated d/watch
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:09:35 +0100

pd-iemguts (0.2.1-1) unstable; urgency=medium

  * New upstream version 0.2.1

  * Refreshed d/copyright_hints
  * Bumped debhelper compat to 9
  * d/control
    * multiline-fields all end with comma
    * Switched Vcs-* stanzas to https://
    * Bumped standards-version to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Nov 2016 12:11:10 +0100

=== debian/control ===
Source: pd-iemguts
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
 dh-buildinfo,
 puredata-dev | puredata,
 pd-lib-builder,
Standards-Version: 4.1.3
Section: sound
Homepage: https://download.puredata.info/iemguts
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemguts.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemguts

Package: pd-iemguts
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Description: Pd-Objects for meta patching
 This library contains a collection of very low-level objects for Pd, that are
 usually used to build higher-level abstractions for dynamic patching and live
 coding by adding reflection capabilities to the patcher language.
 .
 This library is famous for allowing Pd-objects to move around in the patch.

=== debian/watch ===
# to be processed with uscan(1)
version=3
opts=filenamemangle=s/.*\/repository\/v?(\d\S*)\/archive\.tar\.gz/iemguts-$1\.tar\.gz/g \
  https://git.iem.at/pd/iemguts/tags .*/repository/v?(\d\S*)/archive\.tar\.gz

## pd-iemguts 0.3

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,14 @@
 
 cflags = -DVERSION=$(lib.version)
 
+DATE_FMT = %Y/%m/%d at %H:%M:%S UTC
+ifdef SOURCE_DATE_EPOCH
+    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
+endif
+ifdef BUILD_DATE
+cflags += -DBUILD_DATE='"$(BUILD_DATE)"'
+endif
+
 ################################################################################
 ### pdlibbuilder ###############################################################
 ################################################################################

=== debian/changelog ===
pd-iemguts (0.3-1) unstable; urgency=medium

  * New upstream version 0.3

  [ IOhannes m zmölnig ]
  * Remove patches applied upstream
  * Update d/copyright
    * Regenerate d/copyright_hints
  * Declare that "root" powers are not required to build this package
  * Drop obsolete d/source/local-options
  * Fix d/watch
  * Bump dh compat to 12
  * Bump standards version to 4.4.0

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 Sep 2019 14:51:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 12),
  dh-buildinfo,
  puredata-dev | puredata,
  pd-lib-builder,
-Standards-Version: 4.1.3
 Section: sound
+Rules-Requires-Root: no
 Homepage: https://download.puredata.info/iemguts
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemguts.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemguts
+Standards-Version: 4.4.0
 
 Package: pd-iemguts
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

pkglibdir = /usr/lib/pd/extra

%:
	dh $@

override_dh_install:
	dh_install
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +
# remove license file so we can replace it with link to the Debian license file
	rm -f -- $(CURDIR)/debian/*/$(pkglibdir)/*/LICENSE.txt

override_dh_auto_clean \
override_dh_auto_build \
override_dh_auto_test \
override_dh_auto_install:
	$(patsubst override_%,%,$@) -- \
		PDLIBBUILDER_DIR=/usr/share/pd-lib-builder/ \
		prefix=/usr pkglibdir=$(pkglibdir) \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		$(empty)

licensecheck:
	licensecheck --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# to be processed with uscan(1)
version=3
  https://git.iem.at/pd/iemguts/tags .*/-/archive/v?@ANY_VERSION@/iemguts-.*@ARCHIVE_EXT@

## pd-iemguts 0.3.1

=== Makefile ===
--- 
+++ 
@@ -37,5 +37,5 @@
 # This Makefile is based on the Makefile from pd-lib-builder written by
 # Katja Vetter. You can get it from:
 # https://github.com/pure-data/pd-lib-builder
-PDLIBBUILDER_DIR=pd-lib-builder/
-include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))
+PDLIBBUILDER_DIR=pd-lib-builder
+include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

=== debian/changelog ===
pd-iemguts (0.3.1-3) unstable; urgency=medium

  * Explicitly set buildsystem to 'pd_lib_builder' (Closes: #1026703)
  * Remove superfluous deletion of LICENSE.txt prior to symlinking it.
  * Update 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Exclude debian/ from 'licensecheck'
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Dec 2022 22:10:29 +0100

pd-iemguts (0.3.1-2) unstable; urgency=medium

  * Switch to dh-sequence-pd-lib-builder
  * Modernize 'licensecheck' target
    + Regenerate d/copyright_hints
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 26 Nov 2022 23:57:37 +0100

pd-iemguts (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1

  * Add salsa-ci configuration
  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 23 Apr 2022 15:30:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,25 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- dh-buildinfo,
- puredata-dev | puredata,
- pd-lib-builder,
+ debhelper-compat (= 13),
+ dh-sequence-pd-lib-builder,
 Section: sound
 Rules-Requires-Root: no
 Homepage: https://download.puredata.info/iemguts
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemguts.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemguts
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 
 Package: pd-iemguts
 Architecture: any
 Depends:
+ ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- puredata | pd,
+Recommends:
+ ${puredata:Recommends},
+Suggests:
+ ${puredata:Suggests},
 Description: Pd-Objects for meta patching
  This library contains a collection of very low-level objects for Pd, that are
  usually used to build higher-level abstractions for dynamic patching and live

## pd-iemguts 0.4.0

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 datadirs =  examples
 
-cflags = -DVERSION=$(lib.version)
+cflags = -DVERSION="0.4.0"
 
 DATE_FMT = %Y/%m/%d at %H:%M:%S UTC
 ifdef SOURCE_DATE_EPOCH

=== debian/changelog ===
pd-iemguts (0.4.0-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:01:22 +0200

pd-iemguts (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Jul 2023 13:36:42 +0200

pd-iemguts (0.3.1-4) unstable; urgency=medium

  * Re-build for both single and double-precision Pd

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 14:27:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: pd-iemguts
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:

## pd-iemguts 0.4.1

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 datadirs =  examples
 
-cflags = -DVERSION="0.4.0"
+cflags = -DVERSION="0.4.1"
 
 DATE_FMT = %Y/%m/%d at %H:%M:%S UTC
 ifdef SOURCE_DATE_EPOCH

=== debian/changelog ===
pd-iemguts (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * Switch to dh-sequence-puredata
  * Add Provides stanza
  * Update d/watch for latest GitLab API
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Jun 2024 22:39:18 +0200

## pd-iemguts 0.4.3

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 datadirs =  examples
 
-cflags = -DVERSION="0.4.1"
+cflags = -DVERSION="0.4.3"
 
 DATE_FMT = %Y/%m/%d at %H:%M:%S UTC
 ifdef SOURCE_DATE_EPOCH

=== debian/changelog ===
pd-iemguts (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 16 Jul 2024 13:16:12 +0200

=== debian/control ===
Source: pd-iemguts
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-puredata,
Section: sound
Rules-Requires-Root: no
Homepage: https://download.puredata.info/iemguts
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemguts.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemguts
Standards-Version: 4.7.0

Package: pd-iemguts
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 ${puredata:Recommends},
Suggests:
 ${puredata:Suggests},
Provides:
 ${puredata:Provides},
Description: Pd-Objects for meta patching
 This library contains a collection of very low-level objects for Pd, that are
 usually used to build higher-level abstractions for dynamic patching and live
 coding by adding reflection capabilities to the patcher language.
 .
 This library is famous for allowing Pd-objects to move around in the patch.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018-2022 IOhannes m zmölnig <umlaeute@debian.org>

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@ --buildsystem=pd_lib_builder

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# to be processed with uscan(1)

version=4
opts=\
 searchmode=plain,\
 uversionmangle=s/-/./g,\
 dversionmangle=auto \
 https://git.iem.at/pd/iemguts/tags?sort=updated_desc -/archive/v?\d[\d.-]+/iemguts-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## pd-iemguts 0.4.4

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 datadirs =  examples
 
-cflags = -DVERSION="0.4.3"
+cflags = -DVERSION="0.4.4"
 
 DATE_FMT = %Y/%m/%d at %H:%M:%S UTC
 ifdef SOURCE_DATE_EPOCH

=== debian/changelog ===
pd-iemguts (0.4.4-1) unstable; urgency=medium

  * New upstream version 0.4.4
  * Update git repository layout to follow DEP-14
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.3
  * Drop obsolete 'Priority: optional' stanza.
  * Drop obsolete Rules-Requires-Root stanza.
  * Update d/watch to version 5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 02 Mar 2026 17:03:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: pd-iemguts
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
@@ -7,11 +6,10 @@
  debhelper-compat (= 13),
  dh-sequence-puredata,
 Section: sound
-Rules-Requires-Root: no
 Homepage: https://download.puredata.info/iemguts
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemguts.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemguts
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 
 Package: pd-iemguts
 Architecture: any

=== debian/watch ===
Version: 5

# to be processed with uscan(1)
Template: Gitlab
Dist: https://git.iem.at/pd/iemguts
